GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Static Public Member Functions | Static Private Attributes | List of all members
GpgFrontend::CoreSignalStation Class Reference
Inheritance diagram for GpgFrontend::CoreSignalStation:
Collaboration diagram for GpgFrontend::CoreSignalStation:

## Signals
void | SignalUserInputPassphraseDone (QString passparase)
void | SignalNeedUserInputPassphrase ()

## Static Public Member Functions
static CoreSignalStation * | GetInstance ()
| Get the Instance object. More...

## Static Private Attributes
static std::unique_ptr< CoreSignalStation > | _instance = nullptr

## Member Function Documentation

## ◆ GetInstance()

GpgFrontend::CoreSignalStation * GpgFrontend::CoreSignalStation::GetInstance | ( |  | ) |
| static

Get the Instance object.

Returns
  SignalStation*

References _instance.

Referenced by GpgFrontend::UI::CommonUtils::CommonUtils(), GpgFrontend::GpgContext::need_user_input_passphrase(), and GpgFrontend::GpgContext::post_init_ctx().

## Member Data Documentation

## ◆ _instance

std::unique_ptr< GpgFrontend::CoreSignalStation > GpgFrontend::CoreSignalStation::_instance = nullptr
| static private

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

Referenced by GetInstance().

The documentation for this class was generated from the following files:

- src/core/function/CoreSignalStation.h
- src/core/function/CoreSignalStation.cpp